import { BrowserTypes } from "@dannadori/000_WorkerBase";
export declare const WorkerCommand: {
    INITIALIZE: string;
    PREDICT: string;
};
export declare const WorkerResponse: {
    INITIALIZED: string;
    PREDICTED: string;
    NOT_READY: string;
};
export declare const BackendTypes: {
    readonly WebGL: "WebGL";
    readonly wasm: "wasm";
    readonly cpu: "cpu";
};
export declare type BackendTypes = typeof BackendTypes[keyof typeof BackendTypes];
export declare const ModelTypes: {
    readonly mediapipe: "mediapipe";
    readonly tfjs: "tfjs";
};
export declare type ModelTypes = typeof ModelTypes[keyof typeof ModelTypes];
export declare const ModelTypes2: {
    readonly full: "full";
    readonly lite: "lite";
};
export declare type ModelTypes2 = typeof ModelTypes2[keyof typeof ModelTypes2];
export interface HandPoseDetectionConfig {
    browserType: BrowserTypes;
    processOnLocal: boolean;
    backendType: BackendTypes;
    wasmPaths: {
        [key: string]: string;
    };
    pageUrl: string;
    maxHands: number;
    iouThreshold: number;
    scoreThreshold: number;
    modelType: ModelTypes;
    modelType2: ModelTypes2;
}
export interface HandPoseDetectionOperationParams {
    processWidth: number;
    processHeight: number;
    annotateBox: boolean;
    movingAverageWindow: number;
}
