import { LocalWorker, WorkerManagerBase } from "@dannadori/000_WorkerBase";
import { BackendTypes, HandPoseDetectionConfig, HandPoseDetectionOperationParams } from "./const";
export { BackendTypes, HandPoseDetectionConfig, HandPoseDetectionOperationParams };
import { Hand, HandDetector } from "@tensorflow-models/hand-pose-detection";
export declare const generateHandPoseDetectionDefaultConfig: () => HandPoseDetectionConfig;
export declare const generateDefaultHandPoseDetectionParams: () => HandPoseDetectionOperationParams;
export declare class LocalHP extends LocalWorker {
    model: HandDetector | null;
    canvas: HTMLCanvasElement;
    load_module: (config: HandPoseDetectionConfig) => Promise<void>;
    init: (config: HandPoseDetectionConfig) => Promise<void>;
    predict: (config: HandPoseDetectionConfig, params: HandPoseDetectionOperationParams, targetCanvas: HTMLCanvasElement) => Promise<Hand[] | null>;
}
export declare class HandPoseDetectionWorkerManager extends WorkerManagerBase {
    private config;
    localWorker: LocalHP;
    init: (config: HandPoseDetectionConfig | null) => Promise<void>;
    predict: (params: HandPoseDetectionOperationParams, targetCanvas: HTMLCanvasElement) => Promise<Hand[] | null>;
}
